File dune-grid.changes of Package dune-grid

-------------------------------------------------------------------
Tue Dec 19 07:59:40 UTC 2023 - Christoph G <foss@grueninger.de>

- update to version 2.9.1
  * Fixes for recent compilers
- Use OpmenMPI 4 instead of 2.

-------------------------------------------------------------------
Fri Nov 25 21:40:51 UTC 2022 - Christoph G <foss@grueninger.de>

- Re-add dependecy of dune-uggrid

-------------------------------------------------------------------
Sun Nov 20 08:48:22 UTC 2022 - Christoph G <foss@grueninger.de>

- Update to 2.9.0
  * The Geometry interface was extended by methods jacobian(local)
    and jacobianInverse(local) and corresponding typedefs Jacobian
    and JacobianInverse. All grid implementations need to provide
    the new interface. For transition, the methods and typedefs
    are default-implemented in the Dune::Geometry interface class
    which is used for all grid geometries.
  * The Geometry::integrationElement now needs to return the type
    Volume instead of ctype. Note that this may be different from
    ctype if the grid supports typed dimensions. In such a case,
    ctype is a length, and not appropriate for a volume quantity.
  * The FindAlberta.cmake module only searches for world dimension
    libraries up to dim 3. This can be increased by setting the
    CMake variable ALBERTA_MAX_WORLD_DIM
  * A method GridView::isConforming() was added indicating whether
    a given grid view is representing a conforming grid. For some
    grid implementations this could vary from the compile time
    static GridView::conforming depending on run time parameters.
  * The Python bindings now support tensorproduct coordinates of
    YaspGrid

-------------------------------------------------------------------
Sat Dec 26 20:06:53 UTC 2020 - Christoph G <foss@grueninger.de>

- Cleaned spec with spec-cleaner

-------------------------------------------------------------------
Fri Nov 27 10:03:20 UTC 2020 - Christoph G <foss@grueninger.de>

- update to 2.7.1

-------------------------------------------------------------------
Wed Jul 31 21:13:41 UTC 2019 - Daniel Weatherill <plasteredparrot@gmail.com>

- Update to stable version 2.6.0
- remove patch aclocal-for-dune-and-use-libdir.patch which has
  been upstreamed
- add dependencies on tbb and Vc which enable optional extra
  features in DUNE

-------------------------------------------------------------------
Tue Sep 27 11:19:17 UTC 2016 - foss@grueninger.de

- Drop support for Alberta, it caused too many build failures

-------------------------------------------------------------------
Sat May 28 11:21:18 UTC 2016 - foss@grueninger.de

- Switch from deprecated Autotools to CMake as build-system
- Add patch aclocal-for-dune-and-use-libdir.patch which is included
  upstream in the releases/2.4 branch

-------------------------------------------------------------------
Wed Mar  2 06:45:41 UTC 2016 - foss@grueninger.de

- Remove dependency to psurface, it is rarely used and caused
  dependency troubles

-------------------------------------------------------------------
Mon Feb 29 10:53:12 UTC 2016 - foss@grueninger.de

- update to version 2.4.1
  For release notes see
  http://www.dune-project.org/releasenotes/releasenotes-2.4.html

-------------------------------------------------------------------
Sun Nov  1 07:32:12 UTC 2015 - foss@grueninger.de

- dependency libpsurface is now called psurface

-------------------------------------------------------------------
Sun Oct  4 09:29:52 UTC 2015 - foss@grueninger.de

- update to version 2.4.0
  For release notes see
  http://www.dune-project.org/releasenotes/releasenotes-2.4.html
- remove deprecated dependency ALUGrid

-------------------------------------------------------------------
Thu Jul  3 12:19:51 UTC 2014 - kkhere.geo@gmail.com

- update to version 2.3.1
  For release notes see
  http://www.dune-project.org/releasenotes/releasenotes-2.3.html 

-------------------------------------------------------------------
Tue Jun 11 18:54:04 UTC 2013 - scorot@free.fr

- update to verion 2.2.1
  * Better support for clang
  * Detect and support alberta grid configured with 
    --disable-graphics
  * Fixed compilation of gmsh2dgf FS 929)
  * UGGrid switched to using static_cast from C-style casts.
  * Fixed support of UG with gcc 4.6.3 on OpenSuse 11.3 (FS 1142)
  * Fixed ALUGridFactory on MacOS.
  * Allow compilation of subsequent modules with -D<gridtype> if
    dune-grid is not used (FS 1203)

-------------------------------------------------------------------
Wed Oct 17 19:01:10 UTC 2012 - scorot@free.fr

- build parallel version with openmpi 

-------------------------------------------------------------------
Sat Sep 15 09:28:07 UTC 2012 - scorot@free.fr

- add build requirements in the requirements of the devel package 

-------------------------------------------------------------------
Tue Aug 14 13:22:33 UTC 2012 - scorot@free.fr

- enable libpsurface support 

-------------------------------------------------------------------
Sun Aug  5 16:58:45 UTC 2012 - scorot@free.fr

- first package 

openSUSE Build Service is sponsored by